Package: groovy.inspect

## [Groovy] Class TextNode

- groovy.inspect.TextNode

- Represents a plain text node for use in the AST tree made by ASTBrowser

  Authors:
    Roshan Dawrani

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `List` | `children`
    `TextNode` | `parent`
    `List<List<String>>` | `properties`
    `Object` | `userObject`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TextNode (Object userObject)`
    `TextNode (Object userObject, List<List<String>> properties)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `add(TextNode child)`
    `void` | `setParent(TextNode newParent)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### List children

    - #### TextNode parent

    - #### List<List<String>> properties

    - #### Object userObject

  - ### Constructor Detail

    - #### TextNode(Object userObject)

    - #### TextNode(Object userObject, List<List<String>> properties)

  - ### Method Detail

    - #### void add(TextNode child)

    - #### void setParent(TextNode newParent)

    - #### String toString()